Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Every endpoint, with a playground
curl --request POST \ --url 'https://api.nsr.stateset.com/api/v1/validate_ir' \ --header 'X-API-Key: YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --data '{ "ir": null, "query": "string", "strict": true }'
{ "errors": [ { "code": "string", "message": "string", "path": "string" } ], "ir": null, "plan": null, "valid": true, "warnings": [ { "code": "string", "message": "string", "path": "string" } ] }
Alias for IR validation without execution. Required scope: write
write
ValidateRequest
ValidateResponse
Show ValidationIssue
200
400
401
403
429